package org.jk.rag.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jk.common.mybatis.core.page.PageQuery;
import org.jk.rag.domain.dto.ReviseSliceDTO;
import org.jk.rag.domain.entity.SliceInfo;
import org.jk.rag.domain.vo.JkReviseDocumentVo;
import org.jk.rag.domain.vo.JkReviseVo;
import org.jk.rag.domain.vo.ReviseHistoryVo;

import java.util.List;

/**
 * 用户 业务层
 *
 * @author jk
 */
public interface IJkReviseService {

    Page<JkReviseVo> selectRevisePageList(String knowledgeName, PageQuery pageQuery);

    List<JkReviseDocumentVo> selectReviseList(String documentName,String applicationId);

    List<SliceInfo> selectReviseSliceList(String sliceText, String documentId);

    void updateReviseSlice(ReviseSliceDTO reviseSliceDTO);

    Page<ReviseHistoryVo> selectReviseHistoryList(String knowledgeId,String knowledgeName,String documentName,String refDocumentName,PageQuery pageQuery);
}
